Index: testsuites/mptests/mp01/system.h
===================================================================
--- testsuites/mptests/mp01/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp01/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:00:40 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
@@ -26,5 +25,5 @@
 /* structures */
 
-#include "gvar.h"
+#include <gvar.h>
 
 /* end of include file */
Index: testsuites/mptests/mp02/system.h
===================================================================
--- testsuites/mptests/mp02/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp02/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:01:00 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: testsuites/mptests/mp03/system.h
===================================================================
--- testsuites/mptests/mp03/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp03/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:01:22 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: testsuites/mptests/mp04/system.h
===================================================================
--- testsuites/mptests/mp04/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp04/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:01:40 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: testsuites/mptests/mp05/system.h
===================================================================
--- testsuites/mptests/mp05/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp05/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:02:00 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: testsuites/mptests/mp06/system.h
===================================================================
--- testsuites/mptests/mp06/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp06/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:02:18 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 
Index: testsuites/mptests/mp07/system.h
===================================================================
--- testsuites/mptests/mp07/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp07/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:02:38 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 #define EXTERN  extern             /* external definition */
Index: testsuites/mptests/mp08/system.h
===================================================================
--- testsuites/mptests/mp08/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp08/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:02:55 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: testsuites/mptests/mp09/init.c
===================================================================
--- testsuites/mptests/mp09/init.c	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp09/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -20,5 +20,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:03:11 joel Exp
  */
 
@@ -50,5 +50,6 @@
       Queue_name[ 1 ],
       3,
-      RTEMS_GLOBAL|RTEMS_LIMIT,
+      16,
+      RTEMS_GLOBAL,
       &Queue_id[ 1 ]
     );
Index: testsuites/mptests/mp09/node1/mp09.scn
===================================================================
--- testsuites/mptests/mp09/node1/mp09.scn	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp09/node1/mp09.scn	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,4 +11,5 @@
 Receiving message ...
 Received : ABCDEFGHIJKLMNO
+Receiver delaying for a second
 rtems_message_queue_send: 123456789012345
 Delaying for a second
Index: testsuites/mptests/mp09/node2/mp09.scn
===================================================================
--- testsuites/mptests/mp09/node2/mp09.scn	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp09/node2/mp09.scn	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -17,11 +17,11 @@
 Receiving message ...
 Received : ABCDEFGHIJKLMNO
+Receiver delaying for a second
 Flushing remote empty queue
-00 messages were flushed on the remote queue
+0 messages were flushed on the remote queue
 Send messages to be flushed from remote queue
 Flushing remote queue
-01 messages were flushed on the remote queue
+1 messages were flushed on the remote queue
 Waiting for message queue to be deleted
-
 Global message queue deleted
 *** END OF TEST 9 ***
Index: testsuites/mptests/mp09/recvmsg.c
===================================================================
--- testsuites/mptests/mp09/recvmsg.c	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp09/recvmsg.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -16,5 +16,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  recvmsg.c,v 1.2 1995/05/31 17:03:14 joel Exp
  */
 
@@ -25,4 +25,5 @@
  rtems_status_code status;
  rtems_unsigned32  index;
+ rtems_unsigned32  size;
  char              receive_buffer[16];
 
@@ -32,4 +33,5 @@
      Queue_id[ 1 ],
      (long (*)[4])receive_buffer,
+     &size,
      RTEMS_DEFAULT_OPTIONS,
      RTEMS_NO_TIMEOUT
Index: testsuites/mptests/mp09/sendmsg.c
===================================================================
--- testsuites/mptests/mp09/sendmsg.c	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp09/sendmsg.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -16,5 +16,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  sendmsg.c,v 1.2 1995/05/31 17:03:16 joel Exp
  */
 
@@ -29,5 +29,5 @@
   puts( buffer1 );
 
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer1 );
+  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer1, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
@@ -38,5 +38,5 @@
   puts_nocr( "rtems_message_queue_urgent: " );
   puts( buffer2 );
-  status = rtems_message_queue_urgent( Queue_id[ 1 ], (long (*)[4])buffer2 );
+  status = rtems_message_queue_urgent( Queue_id[ 1 ], (long (*)[4])buffer2, 16 );
   directive_failed( status, "rtems_message_queue_urgent" );
 
@@ -50,4 +50,5 @@
     Queue_id[ 1 ],
     (long (*)[4])buffer3,
+    16,
     &broadcast_count
   );
Index: testsuites/mptests/mp09/system.h
===================================================================
--- testsuites/mptests/mp09/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp09/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:03:17 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: testsuites/mptests/mp09/task1.c
===================================================================
--- testsuites/mptests/mp09/task1.c	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp09/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -17,5 +17,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:03:19 joel Exp
  */
 
@@ -33,4 +33,5 @@
   rtems_status_code status;
   rtems_unsigned32  count;
+  rtems_unsigned32  size;
   char              receive_buffer[16];
 
@@ -65,8 +66,8 @@
     status = rtems_message_queue_flush( Queue_id[ 1 ], &count );
     directive_failed( status, "rtems_message_queue_flush" );
-    printf( "%02d messages were flushed on the remote queue\n", count );
+    printf( "%d messages were flushed on the remote queue\n", count );
 
     puts( "Send messages to be flushed from remote queue" );
-    status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer1 );
+    status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer1, 16 );
     directive_failed( status, "rtems_message_queue_send" );
 
@@ -74,5 +75,5 @@
     status = rtems_message_queue_flush( Queue_id[ 1 ], &count );
     directive_failed( status, "rtems_message_queue_flush" );
-    printf( "%02d messages were flushed on the remote queue\n", count );
+    printf( "%d messages were flushed on the remote queue\n", count );
 
     puts( "Waiting for message queue to be deleted" );
@@ -80,4 +81,5 @@
       Queue_id[ 1 ],
       (long (*)[4])receive_buffer,
+      &size,
       RTEMS_DEFAULT_OPTIONS,
       RTEMS_NO_TIMEOUT
Index: testsuites/mptests/mp10/init.c
===================================================================
--- testsuites/mptests/mp10/init.c	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp10/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -26,5 +26,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:03:33 joel Exp
  */
 
@@ -59,5 +59,6 @@
       Queue_name[ 1 ],
       3,
-      RTEMS_GLOBAL|RTEMS_LIMIT,
+      16,
+      RTEMS_GLOBAL,
       &Queue_id[ 1 ]
     );
Index: testsuites/mptests/mp10/system.h
===================================================================
--- testsuites/mptests/mp10/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp10/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:03:35 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: testsuites/mptests/mp10/task1.c
===================================================================
--- testsuites/mptests/mp10/task1.c	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp10/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -17,5 +17,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:03:37 joel Exp
  */
 
@@ -27,4 +27,5 @@
 {
   char              receive_buffer[16];
+  rtems_unsigned32  size;
   rtems_status_code status;
 
@@ -43,4 +44,5 @@
     Queue_id[ 1 ],
     (long (*)[4])receive_buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     RTEMS_NO_TIMEOUT
Index: testsuites/mptests/mp11/init.c
===================================================================
--- testsuites/mptests/mp11/init.c	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp11/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -23,5 +23,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:03:55 joel Exp
  */
 
@@ -70,5 +70,6 @@
       Queue_name[ 1 ],
       3,
-      RTEMS_GLOBAL|RTEMS_LIMIT,
+      16,
+      RTEMS_GLOBAL,
       &junk_id
     );
Index: testsuites/mptests/mp11/system.h
===================================================================
--- testsuites/mptests/mp11/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp11/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:03:57 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: testsuites/mptests/mp12/system.h
===================================================================
--- testsuites/mptests/mp12/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp12/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:04:13 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: testsuites/mptests/mp13/init.c
===================================================================
--- testsuites/mptests/mp13/init.c	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp13/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -20,5 +20,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:04:29 joel Exp
  */
 
@@ -52,5 +52,6 @@
       Queue_name[ 1 ],
       3,
-      RTEMS_GLOBAL|RTEMS_LIMIT,
+      16,
+      RTEMS_GLOBAL,
       &Queue_id[ 1 ]
     );
Index: testsuites/mptests/mp13/system.h
===================================================================
--- testsuites/mptests/mp13/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp13/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:04:31 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: testsuites/mptests/mp13/task1.c
===================================================================
--- testsuites/mptests/mp13/task1.c	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp13/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -18,5 +18,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:04:33 joel Exp
  */
 
@@ -28,4 +28,5 @@
 {
   char              receive_buffer[16];
+  rtems_unsigned32  size;
   rtems_status_code status;
 
@@ -45,4 +46,5 @@
       Queue_id[ 1 ],
       (long (*)[4])receive_buffer,
+      &size,
       RTEMS_DEFAULT_OPTIONS,
       RTEMS_NO_TIMEOUT
@@ -59,4 +61,5 @@
     Queue_id[ 1 ],
     (long (*)[4])receive_buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     2 * TICKS_PER_SECOND
Index: testsuites/mptests/mp14/init.c
===================================================================
--- testsuites/mptests/mp14/init.c	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp14/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -20,5 +20,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:04:55 joel Exp
  */
 
@@ -103,4 +103,5 @@
       Queue_name[ 1 ],
       1,
+      16,
       RTEMS_GLOBAL,
       &Queue_id[ 1 ]
Index: testsuites/mptests/mp14/msgtask1.c
===================================================================
--- testsuites/mptests/mp14/msgtask1.c	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp14/msgtask1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -19,5 +19,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  msgtask1.c,v 1.2 1995/05/31 17:04:58 joel Exp
  */
 
@@ -33,4 +33,5 @@
   rtems_unsigned32  *buffer_count;
   rtems_unsigned32  *overflow_count;
+  rtems_unsigned32   size;
 
   Msg_buffer[ index ][0] = 0;
@@ -54,5 +55,6 @@
       status = rtems_message_queue_send(
         Queue_id[ 1 ],
-        (long (*)[4])Msg_buffer[ index ]
+        (long (*)[4])Msg_buffer[ index ],
+        16
       );
       directive_failed( status, "rtems_message_queue_send" );
@@ -71,4 +73,5 @@
         Queue_id[ 1 ],
         (long (*)[4])Msg_buffer[ index ],
+        &size,
         RTEMS_DEFAULT_OPTIONS,
         RTEMS_NO_TIMEOUT
@@ -84,5 +87,6 @@
       status = rtems_message_queue_send(
         Queue_id[ 1 ],
-        (long (*)[4])Msg_buffer[ index ]
+        (long (*)[4])Msg_buffer[ index ],
+        16
       );
       directive_failed( status, "rtems_message_queue_send" );
Index: testsuites/mptests/mp14/system.h
===================================================================
--- testsuites/mptests/mp14/system.h	(revision 891e9c3c75d3394c085c7dced44fe3a43b001d40)
+++ testsuites/mptests/mp14/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,10 +12,9 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:05:03 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
-#include "mpci.h"
+#include <tmacros.h>
+#include <mpci.h>
 
 /* Miscellaneous */
